/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IGCResult } from "./interfaces";
/**
 * Runs garbage collection on the given reference graph.
 * @param referenceGraph - The reference graph to run GC on. It's a list of nodes where each node has an id and set of
 * routes to other nodes in the graph.
 * @param rootIds - The ids of root nodes that are considered referenced.
 * @returns the ids of referenced nodes and the ids of deleted nodes in the referenced graph.
 */
export declare function runGarbageCollection(referenceGraph: {
    [id: string]: string[];
}, rootIds: string[]): IGCResult;
//# sourceMappingURL=garbageCollector.d.ts.map